freebsd-ports/mail/popper/pkg-install
2001-10-19 11:26:37 +00:00

39 lines
701 B
Bash

#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=pop
UID=68
GID=6
GROUP=mail
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" -c "Post Office Owner"
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
usrdir=${PKG_PREFIX}/etc/popper
if [ ! -d $usrdir ]; then
mkdir -p $usrdir
fi
chown ${USER}:daemon $usrdir
chmod 700 $usrdir